Skip to content
Start here

Kick all participants

realtime_kit.active_session.kick_all_participants(strmeeting_id, ActiveSessionKickAllParticipantsParams**kwargs) -> ActiveSessionKickAllParticipantsResponse
POST/accounts/{account_id}/realtime/kit/{app_id}/meetings/{meeting_id}/active-session/kick-all

Kicks all participants from an active session for the given meeting ID.

Security

API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
Accepted Permissions (at least one required)
Realtime AdminRealtime
ParametersExpand Collapse
account_id: str

The account identifier tag.

maxLength32
app_id: str

The app identifier tag.

maxLength32
meeting_id: str
ReturnsExpand Collapse
class ActiveSessionKickAllParticipantsResponse:
data: Optional[Data]
action: Optional[str]
kicked_participants_count: Optional[float]
success: Optional[bool]

Kick all participants

import os
from cloudflare import Cloudflare

client = Cloudflare(
    api_token=os.environ.get("CLOUDFLARE_API_TOKEN"),  # This is the default and can be omitted
)
response = client.realtime_kit.active_session.kick_all_participants(
    meeting_id="meeting_id",
    account_id="023e105f4ecef8ad9ca31a8372d0c353",
    app_id="app_id",
)
print(response.data)
{
  "data": {
    "action": "action",
    "kicked_participants_count": 0
  },
  "success": true
}
Returns Examples
{
  "data": {
    "action": "action",
    "kicked_participants_count": 0
  },
  "success": true
}